Subject: Re: [PATCH v2 net-next 3/6] dt-bindings: net: dsa: mediatek,mt7530: remove unnecessary dsa-port reference

From: Colin Foster <[email-masked]>
Date: Sat, 5 Nov 2022 11:17:28 -0700

Hi Rob,

On Fri, Nov 04, 2022 at 01:53:43PM -0500, Rob Herring wrote:
> On Thu, Nov 03, 2022 at 09:52:01PM -0700, Colin Foster wrote:
> > dsa.yaml contains a reference to dsa-port.yaml, so a duplicate reference to
> > the binding isn't necessary. Remove this unnecessary reference.
> > 
> > Signed-off-by: Colin Foster <[email-masked]>
> > Suggested-by: Vladimir Oltean <[email-masked]>
> > Reviewed-by: Arınç ÜNAL <[email-masked]>
> > ---
> > 
> > v1 -> v2
> >   * Add Reviewed-by
> > 
> > ---
> >  Documentation/devicetree/bindings/net/dsa/mediatek,mt7530.yaml | 3 ---
> >  1 file changed, 3 deletions(-)
> > 
> > diff --git a/Documentation/devicetree/bindings/net/dsa/mediatek,mt7530.yaml b/Documentation/devicetree/bindings/net/dsa/mediatek,mt7530.yaml
> > index f2e9ff3f580b..81f291105660 100644
> > --- a/Documentation/devicetree/bindings/net/dsa/mediatek,mt7530.yaml
> > +++ b/Documentation/devicetree/bindings/net/dsa/mediatek,mt7530.yaml
> > @@ -159,8 +159,6 @@ patternProperties:
> >          type: object
> >          description: Ethernet switch ports
> >  
> > -        unevaluatedProperties: false
> > -
> 
> You just allowed this node to have any property.

I appreciate your time and help. Thank you. In this case, I think I need
"unevaluatedProperties: true" so that the ^(ethernet-)?port node can
get the properties it needs from nodes in dsa... ?

But then I'm not sure how this node worked in the first place. I might
have misunderstood, but I thought you suggested that if this node had
unevaluatedProperties: false, it wouldn't be able to look into dsa-port.

On the other hand, you did include a lot more information in your
response to 0/6 of this set, which I have yet to fully absorb.

> 
> >          properties:
> >            reg:
> >              description:
> > @@ -168,7 +166,6 @@ patternProperties:
> >                for user ports.
> >  
> >          allOf:
> > -          - $ref: dsa-port.yaml#
> >            - if:
> >                required: [ ethernet ]
> >              then:
> > -- 
> > 2.25.1
> > 
> >